CREATE GENERATOR GEN_ID_ADIC_CAIXA;

CREATE TABLE ADIC_CAIXA (
ID_ADIC_CAIXA INTEGER NOT NULL,
DATA_ADIC DATE,
HORA_ADIC TIME,
VALOR DECIMAL(15,2),
DESCRICAO VARCHAR(250),
USUARIO VARCHAR(10),
TIPO VARCHAR(30)
);

SET TERM ^ ;

CREATE TRIGGER TRIG_GEN_ID_ADIC_CAIXA FOR ADIC_CAIXA
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
   NEW.ID_ADIC_CAIXA = gen_id(GEN_ID_ADIC_CAIXA,1);
END
 ^

COMMIT WORK ^
SET TERM ;^

